Bug 184294 - unexpected exception due to failed vgremove
unexpected exception due to failed vgremove
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-07 16:05 EST by Doug Chapman
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:46:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Chapman 2006-03-07 16:05:32 EST
Description of problem:

I did a RHEL3U7 install using LVM.  One disk was used for LVM, all other
partitions were removed using disk druid.  All went well.

I then did another install using software RAID5.  I deleted all partitions,
including the LVM logical and physical volumes in disk druid.  Anaconda later
died with the following exception:

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 943, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 156, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 768, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 157, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 225, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 483, in turnOnFilesystems
    partitions.doMetaDeletes(diskset)
  File "/usr/lib/anaconda/partitions.py", line 1245, in doMetaDeletes
    lvm.vgremove(delete.name)
  File "/usr/lib/anaconda/lvm.py", line 152, in vgremove
    raise SystemError, "vgremove failed"
SystemError: vgremove failed

> /usr/lib/anaconda/lvm.py(152)vgremove()
-> raise SystemError, "vgremove failed"



Version-Release number of selected component (if applicable):
RHEL3-U7-re0306.0/ia64

How reproducible:
need to try to reproduce but should be easy

Steps to Reproduce:
1. Install RHEL3 U7 using LVM
2. do another install, use disk druid to delete old LVM and create RAID on all disks
3.
  
Actual results:
anaconda dies with exception as described above

Expected results:
it should work!

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 14:46:48 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.